Subject: Re: bug#61035: [PATCH] cp: improve help regarding ACLs

From: Paul Eggert <[email-masked]>
Date: Sun, 29 Jan 2023 14:04:22 -0800

On 2023-01-29 03:06, Kamil Dudka wrote:
> On Wednesday, January 25, 2023 11:01:45 PM CET Paul Eggert wrote:
>> On 2023-01-25 13:56, Ondrej Valousek wrote:
>>> But it's not the same meaning. What I am trying to explain here is that
>>>
>>> Cp -p (or cp --preserve=mode) also retains ACLs. This fact is not obvious, but yet it's happening
>> Then I'm afraid I don't understand. In what sense do ACLs differ from
>> xattr here?
> As I understand it, `cp -p` now preserves ACLs but not xattr (unlike `cp -a`).

OK, the light is slowly dawning on me. Though I'm still confused.

Why are ACLs treated differently from extended attributes? Shouldn't the 
two be treated the same (assuming they're both supported)?

In other words, what's the underlying model and motivation here? It's 
more important to document that, than to document little pieces of it.